SDL_DisableScreenSaver(3)

NAME
SDL_DisableScreenSaver - Prevent the screen from being blanked by a screen saver.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_DisableScreenSaver(void);

DESCRIPTION
If you disable the screensaver, it is automatically re-enabled when SDL quits. The screensaver is disabled by default, but this may by changed by SDL_HINT_VIDEO_ALLOW_SCREENSAVER .

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_EnableScreenSaver(3), SDL_ScreenSaverEnabled(3)